Skip to content

Update Profile

PATCH
/api/v1/projects/{project_id}/profiles/{profile_id}
curl --request PATCH \
--url https://api.totalview.energy/api/v1/projects/example/profiles/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "profile_label": "example", "confidence_level": 1, "is_primary": true }'

Update profile metadata (label, primary flag).

project_id
required
Project Id
string
profile_id
required
Profile Id
string
Media type application/json
ProfilePatch

Partial update schema for profile metadata.

object
profile_label
Any of:
string
confidence_level
Any of:
integer
is_primary
Any of:
boolean
Example generated
{
"profile_label": "example",
"confidence_level": 1,
"is_primary": true
}

Successful Response

Media type application/json
ProfileOut

Response schema for a generation profile.

object
profile_id
required
Profile Id
string format: uuid
project_id
required
Project Id
string format: uuid
scenario_id
Any of:
string format: uuid
profile_label
required
Profile Label
string
confidence_level
Any of:
integer
source
Any of:
string
annual_generation_mwh
Any of:
number
is_primary
Is Primary
boolean
created_at
Any of:
string format: date-time
Example
{
"is_primary": false
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}